<?php
	/**
	 Plugin Name: Auto Blog Buddy
	 Plugin URI: http://archoncentral.com/
	 Version: 2.0.13
	 Description: Automatically receive quality article posts from the Auto Blog Buddy Primary Content Network. Monetize your blog by integrating Amazon product listings and eBay auctions into the articles you receive.
	 Author: Archon Media
	 Author URI: http://archoncentral.com/
	 License: GPL2
	*/
	/*  Copyright 2011 Archon Holdings Inc */
	
	include ("sk_install.php");
	function sk_add_pages() {
		$license = get_option('sk_license');
		
		$sk_menu_page = add_menu_page('AutoBlogBuddy', 'AutoBlogBuddy', 'administrator', 'sk', 'sk_main');
		add_submenu_page('sk', 'Account Setup', 'Account Setup', 'administrator', 'sk-setup', 'sk_sub_setup');
		add_submenu_page('sk', 'ACS-1', 'ACS-1', 'administrator', 'acs1', 'sk_sub_acs1');

		if ($license == 'ABBLITE2' || $license == 'ABBREG' || $license == 'ABBPRO') {
			add_submenu_page('sk', 'ACS-2', 'ACS-2', 'administrator', 'acs2', 'sk_sub_acs2');
			add_submenu_page('sk', 'Smart Rewrite', 'Smart Rewrite', 'administrator', 'sk-translate', 'sk_sub_translate');
		}
		
		if ($license == 'ABBREG' || $license == 'ABBPRO') {
			add_submenu_page('sk', 'Amazon Setup', 'Amazon Setup', 'administrator', 'am-setup', 'sk_sub_am_setup');
			add_submenu_page('sk', 'eBay Setup', 'eBay Setup', 'administrator', 'eb-setup', 'sk_sub_eb_setup');
			add_submenu_page('sk', 'YouTube', 'YouTube', 'administrator', 'yt-setup', 'sk_sub_youtube');
		}
		
		if ($license == 'ABBPRO') {
			add_submenu_page('sk', 'Datafeeds', 'Datafeeds', 'administrator', 'datafeeds', 'sk_sub_datafeeds');
			add_submenu_page('sk', 'PLR Import', 'PLR Import', 'administrator', 'plr_import', 'sk_sub_plr');
		}

		// Grayed out Menus
		if ($license != 'ABBLITE2' && $license != 'ABBREG' && $license != 'ABBPRO') {
			add_submenu_page('sk', 'ACS-2', '<span style="color:#A2A2A2" title="Requires 2 Approved Blogs in the System">ACS-2...</span>', 'administrator', 'acs2', 'sk_sub_upgrade_required');		
			add_submenu_page('sk', 'Translate', '<span style="color:#A2A2A2" title="Requires 2 Approved Blogs in the System">Smart Rewrite...</span>', 'administrator', 'sk-translate', 'sk_sub_upgrade_required');		
		}
		
		if ($license != 'ABBREG' && $license != 'ABBPRO') {
			add_submenu_page('sk', 'Amazon Setup', '<span style="color:#A2A2A2" title="Requires Level 2">Amazon Setup...</span>', 'administrator', 'am-setup', 'sk_sub_upgrade_required');		
			add_submenu_page('sk', 'eBay Setup', '<span style="color:#A2A2A2" title="Requires Membership">eBay Setup...</span>', 'administrator', 'eb-setup', 'sk_sub_upgrade_required');		
			add_submenu_page('sk', 'YouTube', '<span style="color:#A2A2A2" title="Requires Membership">YouTube...</span>', 'administrator', 'youtube', 'sk_sub_upgrade_required');		
		}
		
		if ($license != 'ABBPRO') {
			add_submenu_page('sk', 'Datafeeds', '<span style="color:#A2A2A2" title="Requires Pro Version Upgrade">Datafeeds...</span>', 'administrator', 'datafeeds', 'sk_sub_upgrade_required');		
			add_submenu_page('sk', 'PLR Import', '<span style="color:#A2A2A2" title="Requires Pro Version Upgrade">PLR Import...</span>', 'administrator', 'plr_import', 'sk_sub_upgrade_required');		
		}
		
		if (defined('WP_DEBUG_PLUGIN'))
			add_submenu_page('sk', 'Testing', 'Testing', 'administrator', 'sk-test', 'sk_sub_test');

		// Auxiliary pages
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-post-edit', 'sk_post_edit');	
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-settings-import', 'sk_settings_import');	
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-datafeed-import', 'sk_datafeed_import');	
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-plr-import', 'sk_plr_import');	
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-template-df-preview', 'sk_template_df_preview');
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-template-plr-preview', 'sk_template_plr_preview');
		add_submenu_page(__FILE__, '', '', 'administrator', 'sk-updater', 'sk_updater');
		
		// Add JS and Scripts
	    add_action("admin_print_scripts-$sk_menu_page", 'sk_admin_js');
	    add_action("admin_print_styles-$sk_menu_page", 'sk_admin_css');	

	}
	
	function sk_admin_css() { // options css
		wp_enqueue_style('sk_tabs_css', SK_PLUGIN_URL.'/includes/sk.css');
	}
	
	function sk_admin_js() {
		wp_enqueue_script('jquery-ui-core');
		wp_enqueue_script('jquery-ui-dialog');
		wp_enqueue_script('jquery-ui-tabs');
		// mod_security rules block jquery-cookie that's why we changed the filename to cookei.js
      wp_enqueue_script('jquery-cookei', SK_PLUGIN_URL.'/includes/jquery.cookei.js', array('jquery'));
      //wp_register_script('sk_scripts', SK_PLUGIN_URL.'/includes/alj.js');
      wp_enqueue_script('sk_scripts');
	}

	function sk_main() {
		include("views/sk_main.php");
	}
	
	function sk_sub_setup() {
		include("views/sk_setup.php");
	}

	function sk_sub_translate() {
		include("views/sk_translate.php");
	}

	function sk_sub_am_setup() {
		include("views/sk_amazon.php");
	}

	function sk_sub_acs1() {
		include("views/sk_acs1.php");
	}

	function sk_sub_acs2() {
		include("views/sk_acs2.php");
	}

	function sk_sub_eb_setup() {
		include("views/sk_ebay.php");
	}

	function sk_sub_social_linker() {
		include("views/sk_social_linker.php");	
	}

	function sk_sub_datafeeds() {
		include("views/pro/sk_datafeeds.php");	
	}

	function sk_sub_ilb() {
		include("views/pro/sk_ilb.php");	
	}

	function sk_sub_plr() {
		include("views/pro/sk_plr.php");	
	}

	function sk_sub_yahoo_news() {
		include("views/sk_yahoo_news.php");	
	}

	function sk_sub_youtube() {
		include("views/sk_youtube.php");	
	}

	function sk_post_edit() {
		include("views/sk_edit.php");	
	}

	function sk_template_df_preview() {
		include("views/pro/sk_template_df_preview.php");	
	}

	function sk_template_plr_preview() {
		include("views/pro/sk_template_plr_preview.php");	
	}

	function sk_sub_test() {
		include("views/sk_test.php");	
	}

	function sk_sub_upgrade_required() {
		include("views/sk_upgrade.php");	
	}

	function sk_updater() {
		include("views/sk_updater.php");
	}	
	
	// Initialization
	add_action('admin_menu', 'sk_add_pages');
	register_deactivation_hook(__FILE__, 'sk_deactivate');
	register_activation_hook(__FILE__, 'sk_activate');
	
	// Affiliate ID Cloaking
	if (get_option('sk_site_cloak_affiliate_id') == 'on') 
		$cloak = new SK_Cloaker();

?>